/* Footer */
.footer { 
  background: var(--color-bg-secondary); 
  color: var(--color-text); 
}

.footer__container {
  display: flex;
  padding-top: 60px;
  padding-bottom: 30px;
}
.footer__wrap {
  width: 100%;
  flex: 5;
}
.footer__inner { 
  display: flex;
  justify-content: space-between;
  margin-bottom: 40px;
}
.footer__brand {
  flex: 1;
}

.footer__logo { 
  display: inline-grid; 
  width: 150px; 
  height: 67px; 
}

.footer__logo-img { 
  height: 100%; 
  width: auto; 
  object-fit: contain; 
}

.footer__col {
  flex: 1;
}

.footer__title { 
  color: var(--color-text); 
  font-weight: 500;
  font-size: 24px;
  line-height: 1.32;
  margin-bottom: 16px; 
}

.footer__nav { 
  display: flex;
  flex-direction: column;
  gap: 12px; 
}

.footer-meta .footer__link { 
  color: var(--color-text-gray); 
  font-weight: 500;
  font-size: 16px;
  line-height: 1.52;
}

.footer__link:hover { 
  color: var(--color-primary); 
}

.footer__text { 
  font-size: 14px; 
  color: var(--color-text); 
  font-weight: 500;
  line-height: 1.46;
  margin-bottom: 12px;
}
.footer__text-gray {
  color: var(--color-text-gray);
}
.footer__text:last-child {
  margin-bottom: 0;
}

.footer__text a {
  color: inherit;
  text-decoration: none;
}

.footer__badges { 
  display: flex; 
  gap: 12px; 
  align-items: center; 
}

.footer__badge-img { 
  height: 36px; 
  width: auto; 
  display: block;
  cursor: pointer; 
}



.footer__bottom-inner { 

  display: flex;
  justify-content: space-between;

}
.footer__copy { 
  color: var(--color-muted); 
  font-size: 14px; 
}

.footer__legal { 
  display: flex; 
  gap: 12px; 
}

.footer__meta { 
  color: var(--color-text-gray); 
  font-size: 14px; 
  font-weight: 400;
  line-height: 1.46;
  flex: 1;
}

.footer__meta--left { 
  justify-self: start; 
}

.footer__meta--center { 
  justify-self: center; 
}

.footer__meta--right { 
  justify-self: end; 
}

/* Кнопка "Наверх" */
.footer__to-top {
  position: fixed;
  right: 50px;
  bottom: 20px;
  width: 48px;
  height: 48px;
  background: var(--color-primary);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.3s ease;
  opacity: 0;
  transform: translateY(20px);
  transition: all 0.3s ease;
  z-index: 10;
}

.footer__to-top.is-visible {
  opacity: 1;
  transform: translateY(0);
}

.footer__to-top:hover {
  background: #CD0008;
}

.footer__to-top img {
  width: 24px;
  height: 24px;
  filter: brightness(0) invert(1);
  transform: rotate(-90deg);
}

/* Адаптивность */
@media (max-width: 1024px) {
  .footer__badges {
    flex-direction: column;
    align-items: start;
  }
  .footer__col {
    flex:auto;
  }
  .footer__link {
    font-size: 14px;
    font-weight: 500;
  }
  .footer__title {
    font-size: 20px;
  }
  .footer__brand {
    margin-right: 20px;
  }
  .footer__bottom-inner a {
    font-size: 12px;
  }
}

@media (max-width: 768px) {

  .footer__container {
    flex-direction: column;
    padding: 0;
    padding-top: 32px;
    padding-bottom: 24px;
  }
  .footer__brand{
    width: 100%;
    margin-bottom: 20px;
  }
  .footer__to-top {
    right: 20px;
  }
  
}
@media (max-width: 490px) {
  .footer__inner {
    flex-direction: column;
    margin-bottom: 24px;
  }
  .footer__logo-img {
    width: 100px;
  }
  .footer__col {
    margin-bottom: 10px;
  }
  .footer__badges {
    flex-direction: row;
    flex-wrap: wrap;
  }
  .footer__bottom-inner {
    flex-direction: column;
    gap: 10px;
  }
}

